Task to tag the current database state.

In case you tag the database multiple times without applying a new changelog before, the tags will overwrite each other!

author | Stephan Hochdoerfer <S.Hochdoerfer@bitExpert.de>
version | $Id$
since | 2.4.10
package | phing.tasks.ext.liquibase
copyright | 2001,2002 THYRELL. All rights reserved

### Methods

## Returns the textual description of the task

    getDescription() : string

Inherited

inherited_from | \Task::getDescription()
inherited_from | \AbstractLiquibaseTask::getDescription()

### Returns

`string`The text description of the task

## Returns the location within the buildfile this task occurs.

    getLocation() : \Location

Inherited

Used by BuildException to give detailed error messages.

inherited_from | \Task::getLocation()
inherited_from | \AbstractLiquibaseTask::getLocation()

### Returns

`\Location`The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

Inherited

inherited_from | \Task::getOwningTarget()
inherited_from | \AbstractLiquibaseTask::getOwningTarget()

### Returns

`\Target`The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \Task::getProject()
inherited_from | \AbstractLiquibaseTask::getProject()

### Returns

`\Project`Reference to current porject object

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

Inherited

inherited_from | \Task::getRuntimeConfigurableWrapper()
inherited_from | \AbstractLiquibaseTask::getRuntimeConfigurableWrapper()

### Returns

`\RuntimeConfigurable`The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

Inherited

inherited_from | \Task::getTaskName()
inherited_from | \AbstractLiquibaseTask::getTaskName()

### Returns

`string`Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

Inherited

inherited_from | \Task::getTaskType()
inherited_from | \AbstractLiquibaseTask::getTaskType()

### Returns

`string`The type of this task (XML Tag)

## Called by the parser to let the task initialize properly.

    init()

Inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

inherited_from | \Task::init()
inherited_from | \AbstractLiquibaseTask::init()

### Exceptions

`\BuildException` |

## Provides a project level log event to the task.

    log(string $msg, integer $level)

Inherited

see | \global\BuildEvent
see | \global\BuildListener
inherited_from | \Task::log()
inherited_from | \AbstractLiquibaseTask::log()

### Parameters

#### $msg

`string`

The message to log

#### $level

`integer`

The priority of the message

## Called by the project to let the task do it's work.

    main()

This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running phing target1 target2 will run all tasks in target3 twice.

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

see | \global\Task::main()

## Configure this task if it hasn't been done already.

    maybeConfigure()

Inherited

inherited_from | \Task::maybeConfigure()
inherited_from | \AbstractLiquibaseTask::maybeConfigure()

## Perfrom this task

    perform()

Inherited

inherited_from | \Task::perform()
inherited_from | \AbstractLiquibaseTask::perform()

## Sets the absolute path to the changelog file to use.

    setChangeLogFile(string $changelogFile)

Inherited

inherited_from | \AbstractLiquibaseTask::setChangeLogFile()

### Parameters

#### $changelogFile

`string`

the absolute path to the changelog file

## Sets a textual description of the task

    setDescription(string $desc)

Inherited

inherited_from | \Task::setDescription()
inherited_from | \AbstractLiquibaseTask::setDescription()

### Parameters

#### $desc

`string`

The text describing the task

## Sets the absolute path to liquibase jar.

    setJar(string $jar)

Inherited

inherited_from | \AbstractLiquibaseTask::setJar()

### Parameters

#### $jar

`string`

the absolute path to the liquibase jar.

## Sets the location within the buildfile this task occurs.

    setLocation(\Location $location)

Inherited

Called by the parser to set location information.

inherited_from | \Task::setLocation()
inherited_from | \AbstractLiquibaseTask::setLocation()

### Parameters

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

Inherited

inherited_from | \Task::setOwningTarget()
inherited_from | \AbstractLiquibaseTask::setOwningTarget()

### Parameters

#### $target

`\Target`

Reference to owning target

## Sets the password to connect to the database.

    setPassword(string $password)

Inherited

inherited_from | \AbstractLiquibaseTask::setPassword()

### Parameters

#### $password

`string`

the password

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \Task::setProject()
inherited_from | \AbstractLiquibaseTask::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

Inherited

inherited_from | \Task::setRuntimeConfigurableWrapper()
inherited_from | \AbstractLiquibaseTask::setRuntimeConfigurableWrapper()

### Parameters

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the name of tag which is used to mark the database state for possible future rollback.

    setTag(string $tag)

### Parameters

#### $tag

`string`

the name to tag the database with

## Sets the name of this task for log messages

    setTaskName(string $name) : string

Inherited

inherited_from | \Task::setTaskName()
inherited_from | \AbstractLiquibaseTask::setTaskName()

### Parameters

#### $name

`string`

### Returns

`string`A string representing the name of this task for log

## Sets the type of the task.

    setTaskType(string $name)

Inherited

Usually this is the name of the XML tag

inherited_from | \Task::setTaskType()
inherited_from | \AbstractLiquibaseTask::setTaskType()

### Parameters

#### $name

`string`

The type of this task (XML Tag)

## Sets the url to connect to the database in jdbc style, e.g.

    setUrl(string $url)

Inherited

    jdbc:postgresql://psqlhost/mydatabase

inherited_from | \AbstractLiquibaseTask::setUrl()

### Parameters

#### $url

`string`

jdbc connection string

## Sets the username to connect to the database.

    setUsername(string $username)

Inherited

inherited_from | \AbstractLiquibaseTask::setUsername()

### Parameters

#### $username

`string`

the username

## Sets the Java classpathref.

    setclasspathref(string $classpathref)

Inherited

inherited_from | \AbstractLiquibaseTask::setclasspathref()

### Parameters

#### $classpathref

`string`

A reference to the classpath that contains the database driver, liquibase.jar, and the changelog.xml file

## Ensure that correct parameters were passed in.

    checkParams() : void

see | \global\AbstractTask::checkParams()

## Executes the given command and returns the output.

    execute(string $lbcommand, string $lbparams) : string

Inherited

inherited_from | \AbstractLiquibaseTask::execute()

### Parameters

#### $lbcommand

`string`

the command to execute

#### $lbparams

`string`

additional parameters

### Returns

`string`the output of the executed command

## Returns a name

    getRegisterSlot(string $slotName)

Inherited

inherited_from | \Task::getRegisterSlot()
inherited_from | \AbstractLiquibaseTask::getRegisterSlot()

### Parameters

#### $slotName

`string`

### Properties

##

    $changeLogFile

Inherited

inherited_from | \AbstractLiquibaseTask::$$changeLogFile

##

    $classpathref

Inherited

inherited_from | \AbstractLiquibaseTask::$$classpathref

##

    $description : string

Inherited

inherited_from | \Task::$$description
inherited_from | \AbstractLiquibaseTask::$$description

##

    $jar

Inherited

inherited_from | \AbstractLiquibaseTask::$$jar

##

    $location : \Location

Inherited

inherited_from | \Task::$$location
inherited_from | \AbstractLiquibaseTask::$$location

##

    $password

Inherited

inherited_from | \AbstractLiquibaseTask::$$password

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \Task::$$project
inherited_from | \AbstractLiquibaseTask::$$project

##

    $tag

##

    $target : \Target

Inherited

inherited_from | \Task::$$target
inherited_from | \AbstractLiquibaseTask::$$target

##

    $taskName : string

Inherited

inherited_from | \Task::$$taskName
inherited_from | \AbstractLiquibaseTask::$$taskName

##

    $taskType : string

Inherited

inherited_from | \Task::$$taskType
inherited_from | \AbstractLiquibaseTask::$$taskType

##

    $url

Inherited

inherited_from | \AbstractLiquibaseTask::$$url

##

    $username

Inherited

inherited_from | \AbstractLiquibaseTask::$$username

##

    $wrapper : \RuntimeConfigurable

Inherited

inherited_from | \Task::$$wrapper
inherited_from | \AbstractLiquibaseTask::$$wrapper